Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class FibBase

    java.lang.Object
      org.apache.poi.hwpf.model.types.FibBaseAbstractType
          org.apache.poi.hwpf.model.FibBase

    public class FibBase

extends FibBaseAbstractType

Base part of the File information Block (FibBase). Holds the core part of the FIB, from the first 32 bytes.

Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format and [MS-DOC] - v20110608 Word (.doc) Binary File Format.

Author:
  Andrew C. Oliver; Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format Specification [*.doc] and [MS-DOC] - v20110608 Word (.doc) Binary File Format

Constructor Summary
`FibBase()`
`FibBase(byte[] std, int offset)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`

Methods inherited from class org.apache.poi.hwpf.model.types.FibBaseAbstractType
`getChs, getChsTables, getCQuickSaves, getEnvr, getFcMac, getFcMin, getFlags1, getFlags2, getFSpare0, getLid, getLKey, getNFib, getNFibBack, getPnNext, getSize, getUnused, getWIdent, isFComplex, isFDot, isFEmptySpecial, isFEncrypted, isFExtChar, isFFarEast, isFGlsy, isFHasPic, isFLoadOverride, isFLoadOverridePage, isFMac, isFObfuscated, isFReadOnlyRecommended, isFWhichTblStm, isFWriteReservation, isReserved1, isReserved2, serialize, serialize, setChs, setChsTables, setCQuickSaves, setEnvr, setFcMac, setFcMin, setFComplex, setFDot, setFEmptySpecial, setFEncrypted, setFExtChar, setFFarEast, setFGlsy, setFHasPic, setFlags1, setFlags2, setFLoadOverride, setFLoadOverridePage, setFMac, setFObfuscated, setFReadOnlyRecommended, setFSpare0, setFWhichTblStm, setFWriteReservation, setLid, setLKey, setNFib, setNFibBack, setPnNext, setReserved1, setReserved2, setUnused, setWIdent, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FibBase

    public FibBase()

### FibBase

    public FibBase(byte[] std,
                   int offset)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD